Library Version 18.1.40

operator++
Prev | Chapter 15. Db_map_base_iterator | Next

## operator++

### Function Details

    self& operator++()

Pre-increment.

#### Return Value

This iterator after incremented.

    self operator++(int)

Post-increment.

#### Return Value

Another iterator having the old value of this iterator.

### Group: Iterator increment movement functions.

The two functions moves the iterator one element backward, so that the element it sits on has a bigger key.

The btree/hash key comparison routine determines which key is greater. Use ++iter rather than iter++ where possible to avoid two useless iterator copy constructions.

### Class

db_map_base_iterator

Prev | Up | Next
~db_map_base_iterator | Home | operator--